Bug 994181 - REST: Cannot clone repository if it was cloned and deleted previously
REST: Cannot clone repository if it was cloned and deleted previously
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER2
: 6.0.0
Assigned To: Alexandre Porcelli
Jiri Locker
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 12:31 EDT by Jiri Locker
Modified: 2014-08-06 16:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
clone exception response (7.60 KB, text/plain)
2013-08-06 12:31 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2013-08-06 12:31:14 EDT
Created attachment 783408 [details]
clone exception response

Description of problem:
I'm currently unable to perform following scenario that is important for test automation: as a test setup I need to delete a repository and clone it again to get it into clean state. I perform these steps:

1. delete the repository using DELETE rest/repositories/$REPO
2. rm -rf .niogit/$REPO.git
3. clone again using POST rest/repositories/ + JSON data containing repo URL and name

On the first run steps 1. and 2. have no effect and step 3. is successful, repo is cloned. Tests work with $REPO and create some commits. When the sequence is carried out again, step 1. removes $REPO from system.git, but doesn't touch .niogit/$REPO.git. That is done in step 2. After that, a fresh clone of $REPO should be created but the REST call throws exception this time.

Version-Release number of selected component (if applicable):
CR1 (community)

How reproducible:
always

Steps to Reproduce:
1. clone a repository as $REPO
2. delete it
3. clear .niogit/$REPO.git
4. clone it again

Actual results:
XML response with exception stack trace

Expected results:
JSON data with successful status

Additional info:
1. REST clone
2. REST delete
3. stop server
4. rm -rf
5. start server
6. REST clone
Works.
Comment 1 Edson Tirelli 2013-08-08 15:02:06 EDT
FROM PORCELLI:
=================
Bug fixed on master, pushing now to 6.0.x and 0.3.x

http://github.com/droolsjbpm/kie-commons/commit/ceb906f0e

http://github.com/droolsjbpm/uberfire/commit/a23f013be
Comment 2 lcarlon 2013-08-08 23:56:48 EDT
Marked as requiring a release note for the beta release.

Please add relevant information we need customers to be aware of to the doc text box above.

Thanks
Lee
Comment 4 Jiri Locker 2013-09-12 03:01:15 EDT
Works perfect now.

Note You need to log in before you can comment on or make changes to this bug.